---
title: MySqlBulkCopyColumnMapping.Expression property
---

# MySqlBulkCopyColumnMapping.Expression property

An optional expression for setting a destination column. To use an expression, the [`DestinationColumn`](../DestinationColumn/) should be set to the name of a user-defined variable and this expression should set a column using that variable.

```csharp
public string Expression { get; set; }
```

## Remarks

To populate a binary column, you must set [`DestinationColumn`](../DestinationColumn/) to a variable name, and `Expression` to an expression that uses

```csharp
UNHEX
```

to set the column value, e.g.,

```csharp
`destColumn` = UNHEX(@variableName)
```

.

## See Also

* class [MySqlBulkCopyColumnMapping](../../MySqlBulkCopyColumnMappingType/)
* namespace [MySqlConnector](../../MySqlBulkCopyColumnMappingType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
