---
title: MySqlConnection.CloneWith method
---

# MySqlConnection.CloneWith method

Returns an unopened copy of this connection with a new connection string. If the `Password` in *connectionString* is not set, the password from this connection will be used. This allows creating a new connection with the same security information while changing other options, such as database or pooling.

```csharp
public MySqlConnection CloneWith(string connectionString)
```

| parameter | description |
| --- | --- |
| connectionString | The new connection string to be used. |

## Return Value

A new [`MySqlConnection`](../../MySqlConnectionType/) with different connection string options but the same password as this connection (unless overridden by *connectionString*).

## See Also

* class [MySqlConnection](../../MySqlConnectionType/)
* namespace [MySqlConnector](../../MySqlConnectionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
